Update a private location
https://{kibana_url}
- PUT /api/synthetics/private_locations/{id}
- PUT /s/{space_id}/api/synthetics/private_locations/{id}
Refer to Spaces for more information.
Update an existing private location's label.
You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
When a private location's label is updated, all monitors using this location will also be updated to maintain data consistency.
Path Parameters
-
idstringrequired -
The unique identifier of the private location to be updated.
Request
-
labelstring · min: 1required -
A new label for the private location. Must be at least 1 character long.
Responses
A successful response.
-
agentPolicyIdstring -
The ID of the agent policy associated with the private location.
-
geoobject -
Geographic coordinates (WGS84) for the location.
-
idstring -
The unique identifier of the private location.
-
isInvalidboolean -
Indicates whether the location is invalid. If
true, the location is invalid, which means the agent policy associated with the location is deleted. -
labelstring -
A label for the private location.
-
namespacestring -
The namespace of the location, which is the same as the namespace of the agent policy associated with the location.
If the label is shorter than 1 character the API will return a 400 Bad Request response with a corresponding error message.
If the private location with the specified ID does not exist, the API will return a 404 Not Found response.